edu.northwestern.at.utils.math.distributions

## Class FishersF

- java.lang.Object
- - edu.northwestern.at.utils.math.distributions.FishersF

-     public class FishersF
      extends java.lang.Object

  Fisher's F distribution functions.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FishersF()` Make class non-instantiable but inheritable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `f(double f, double dfn, double dfd)` Compute probability for Fisher's F distribution.
    `static double` | `fInverse(double p, double dfn, double dfd)` Compute percentage point for Fisher's F distribution.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FishersF

          protected FishersF()

      Make class non-instantiable but inheritable.

  - ### Method Detail

    - #### f

          public static double f(double f,
                 double dfn,
                 double dfd)
                          throws java.lang.IllegalArgumentException

      Compute probability for Fisher's F distribution.
      Parameters:
        `f` - Percentage point of Fisher's F distribution
        `dfn` - Numerator degrees of freedom
        `dfd` - Denominator degrees of freedom
      Returns:
        The corresponding probabiity for Fisher's F distribution.
      Throws:
        `java.lang.IllegalArgumentException` - if dfn <= 0 or dfd <= 0 .

        fprob(f) = incompleteBeta( dfd/(dfd*f*dfn), df/2, dfn/2 )

        The result is accurate to about 14 decimal digits.

    - #### fInverse

          public static double fInverse(double p,
                        double dfn,
                        double dfd)
                                 throws java.lang.IllegalArgumentException

      Compute percentage point for Fisher's F distribution.
      Parameters:
        `p` - Probability level for percentage point.
        `dfn` - Numerator degrees of freedom.
        `dfd` - Denominator degrees of freedom.
      Returns:
        The corresponding probabiity for Fisher's F distribution.
      Throws:
        `java.lang.IllegalArgumentException` - if p < 0 or p > 1 or dfn <= 0 or dfd <= 0 .
        `java.lang.ArithmeticException` - if incomplete beta evaluation fails